
QGIS Application - Bug report #21503

QGIS 3.6 crashing while editing and digitizing line features

2019-03-06 11:11 PM - Hannah Davis

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 10 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 29320

Description

User Feedback

Digitizing line features

Report Details

Crash ID: 76a9c0a9b4b2bd92fae4372c60156ed873d1fdd5

Stack Trace

QWidget::show :

QgsVertexTool::highlightAdjacentVertex :

QTimer::timeout :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info
CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 21828: Crash on switching back and... Open 2019-04-10

History

#1 - 2019-03-07 12:07 PM - Alessandro Pasotti

- Status changed from Open to Feedback

Would you please give use some more details (step by step) about how to reprouce this issue?

#2 - 2019-03-07 12:16 PM - João Gaspar

Hi, do you have more information?

Can you explain the workflow to reproduce this error?

This happens when you create a new vector format such as shapefile, geopackage or other?

This happens in a existent data? If yes, can you share the data to test?

What is the type line geometry that happens? Line, Multiline, CompoundCurve, MUltiCurve?

I test create different geometry line types and different vector formats with same QGIS Info and System Info and don't have this problem.

This still happens?

#3 - 2019-03-07 06:47 PM - Giovanni Manghi

also try with a new/clean profile (no 3rd party plugins installed).

#4 - 2019-03-23 01:09 PM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.

#5 - 2019-04-10 07:12 PM - Jürgen Fischer

- Related to Bug report #21828: Crash on switching back and forth between junction and and dot-object tool added
